COUNTERPATH - BRIA Requirements

One great thing about the Bria softphone is that it doesn’t demand you to have heavy system requirements despite its wide range of features. This is another thing that separates Bria from other softphones.

Eyebeam
EYEBEAM
xlite
X-LITE
bria
BRIA

 

 

  More Information   Overview   |  Features   |  Requirements   |  Resources


Requirements

To use Bria to make audio/video calls and/or send Instant Messages to a softphone, mobile or landline number, a VoIP (Voice over IP) service subscription with a local service provider or ISP is required. Please contact your local service provider to subscribe. Since the popularity of Mac OS X is increasing, Bria is now available for Mac with its latest version, Bria 3.0

 

System Requirements

Processor Minimum: Intel Pentium III 1.3GHz or equivalent
Optimal: Pentium 4 2.4 GHz or equivalent
Memory 512 MB RAM
Hard Disk Space 50MB
Operating system* Windows 2000
Windows XP
Windows Vista
Windows 7
Connection IP network connection (broadband, LAN, wireless); Internet connection
Sound Card Full-duplex, 16-bit
Browser Microsoft Internet Explorer 6.0 or later

Any Questions?

If you wish to receive further information, do not hesitate to contact us.